> ## Documentation Index
> Fetch the complete documentation index at: https://docs.puretalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Register Phone Call

> Make an outbound call



## OpenAPI

````yaml openapi-calls POST /calls/make-outbound
openapi: 3.0.1
info:
  title: Puretalk AI
  description: Api Documentation for Puretalk AI
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.puretalk.ai/api
security:
  - ApiKeyAuth: []
paths:
  /calls/make-outbound:
    post:
      description: Make an outbound call
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - from_number
                - to_number
              properties:
                from_number:
                  type: string
                  description: The phone number to call from
                to_number:
                  type: string
                  description: The phone number to call
                variables:
                  type: array
                  items:
                    type: object
                    properties:
                      var_name:
                        type: string
                        description: The name of the variable
                      var_value:
                        type: string
                        description: The value of the variable
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  err:
                    type: boolean
                    example: false
                    description: Indicates if there was an error
                  msg:
                    type: string
                    example: Call initiated successfully
                    description: A success message
        '400':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Forbidden'
components:
  schemas:
    Error:
      required:
        - err
        - msg
      type: object
      properties:
        err:
          type: boolean
          example: true
        msg:
          type: string
          example: An error occurred.
    Forbidden:
      type: object
      properties:
        detail:
          type: string
          example: Authentication credentials were not provided.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Authorization header containing API key. You can find your API key in
        the dashboard under 'API Keys'.

````